Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class ExclusiveQueue

    java.lang.Object
      org.jboss.mq.server.BasicQueue
          org.jboss.mq.server.ExclusiveQueue

public class ExclusiveQueue
extends BasicQueue

This class implements a basic queue with an exclusive subscription.

Author:
  Adrian Brock (Adrian.Brock@HappeningTimes.com)

Constructor Summary
`ExclusiveQueue(JMSDestinationManager server, SpyDestination destination, Subscription exclusive, BasicQueueParameters parameters)`

Method Summary
`void` | `addMessage(MessageReference mesRef, Tx txId)` Add a message to the queue
`Subscription` | `getExclusiveSubscription()`
`void` | `removeSubscriber(Subscription sub)` Removes a subscription from the queue
`void` | `restoreMessage(MessageReference mesRef)` Restores a message.

Methods inherited from class org.jboss.mq.server.BasicQueue
`acknowledge, addReceiver, addSubscriber, addToReceivers, browse, clearEvent, clearEvents, createMessageCounter, dropMessage, dropMessage, getDescription, getMessageCounter, getQueueDepth, getReceivers, getReceiversCount, getScheduledMessageCount, isInUse, nackMessages, queueMessageForSending, receive, removeAllMessages, removeReceiver, setupMessageAcknowledgement, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExclusiveQueue

    public ExclusiveQueue(JMSDestinationManager server,
                          SpyDestination destination,
                          Subscription exclusive,
                          BasicQueueParameters parameters)
                   throws javax.jms.JMSException

Method Detail

### getExclusiveSubscription

    public Subscription getExclusiveSubscription()

### addMessage

    public void addMessage(MessageReference mesRef,
                           Tx txId)
                    throws javax.jms.JMSException

  Description copied from class: `BasicQueue`
  Add a message to the queue

  Overrides:
    `addMessage` in class `BasicQueue`
  Parameters:
    `mesRef` - the message reference
    `txId` - the transaction
  Throws:
    `javax.jms.JMSException` - for any error

### restoreMessage

    public void restoreMessage(MessageReference mesRef)

  Description copied from class: `BasicQueue`
  Restores a message.

  Overrides:
    `restoreMessage` in class `BasicQueue`

### removeSubscriber

    public void removeSubscriber(Subscription sub)

  Description copied from class: `BasicQueue`
  Removes a subscription from the queue

  Overrides:
    `removeSubscriber` in class `BasicQueue`
  Parameters:
    `sub` - the subscription to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.